# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/testlib.pm) perl(File/stat.pm) perl(IO/File.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Config-Augeas
Version:        0.903
Release:        alt2_4
Summary:        Edit configuration files through Augeas C library
License:        LGPLv2+
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Config-Augeas/
Source0:        http://www.cpan.org/modules/by-module/Config/Config-Augeas-%{version}.tar.gz

BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  libaugeas-devel
Source44: import.info

%description
Augeas is a library and command line tool that focuses on the most basic
problem in handling Linux configurations programmatically: editing actual
configuration files in a controlled manner.

%prep
%setup -q -n Config-Augeas-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
LANG=C ./Build test verbose=1

%files
%doc ChangeLog README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Config*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.903-alt2_4
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.903-alt2_3
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.903-alt1_3
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.903-alt1_1
- fc import

